#pragma once
#include "../../../../Utils/Process/FSM/Condition.h"
#include <BWAPI.h>

//Peut-être envoyé dans un .cpp
#include "../../../../PerceptualState/PerceptualState.h"

struct IsTargeted : Condition
{
  IsTargeted(BWAPI::Unit* unit) : m_unit(unit) {}

  bool evaluate() const
  {
    return Spar->getPerceptualState()->isUnitTargeted(m_unit);
  }

private:
  BWAPI::Unit* m_unit;
};